<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.MerchantPermissionMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, name, parent_id, url, code, icon, type, level, state, sort, remark, version, create_time, update_time
    </sql>

    <select id="getMerchantPermissionById" resultType="com.jumeirah.common.vo.MerchantPermissionQueryVo">
        select
        <include refid="Base_Column_List"/>
        from merchant_permission where id = #{id}
    </select>

    <select id="getMerchantPermissionPageList" parameterType="com.jumeirah.common.param.MerchantPermissionPageParam"
            resultType="com.jumeirah.common.vo.MerchantPermissionQueryVo">
        select
        <include refid="Base_Column_List"/>
        from merchant_permission
    </select>

</mapper>
